Author Topic: Akai S3200 (non XL) software compatibility  (Read 1069 times)

Offline MDMA

  • Active Member
  • *
  • Posts: 19
  • New Member
Akai S3200 (non XL) software compatibility
« on: November 17, 2023, 01:21:50 AM »
Currently setting up an old G3 and am in the process of setting up a couple of partitions for dual boot OS as certain software requires different operating systems.

I have an Akai S3200 (non XL)with latest 2.0 firmware. Does anyone know the OS I would need to run mesa?

Version 1 of mesa says I need OS 7 to install it, which is fine, but I have seen comments from people stating they use OS 8.1, which I can’t understand because all the versions I see state OS7.

I’m pretty sure I can’t use mesa ll with my S3200 ??

Also would anyone know which version of Recycle would operate with my sampler?? Recycle 2 states I need OS 8.6, so I’m getting into a bit of an OS rabbit hole here 😂😂

Offline teroyk

  • Platinum Member
  • *****
  • Posts: 623
  • -
Re: Akai S3200 (non XL) software compatibility
« Reply #1 on: November 17, 2023, 04:11:08 AM »
Currently setting up an old G3 and am in the process of setting up a couple of partitions for dual boot OS as certain software requires different operating systems.

I have an Akai S3200 (non XL)with latest 2.0 firmware. Does anyone know the OS I would need to run mesa?

Version 1 of mesa says I need OS 7 to install it, which is fine, but I have seen comments from people stating they use OS 8.1, which I can’t understand because all the versions I see state OS7.

I’m pretty sure I can’t use mesa ll with my S3200 ??

Also would anyone know which version of Recycle would operate with my sampler?? Recycle 2 states I need OS 8.6, so I’m getting into a bit of an OS rabbit hole here 😂😂

Yes you can have multiboot. It is sometimes good to have 8.1, 8.6, 9.0 and 9.2.2 for testing old software.

I don't have good answer (I don't know much that Akai model and not used Mesa), but you can try:
1. Try MESA II, you have updated firmware, maybe it can work.

2. If you try MESA 1:
- Try it with Mac OS 8.1: http://macintoshgarden.org/apps/macintosh-system-81-mac-os-81#PowerBook_G3_Series_CD-ROM
- Remember some old software need install Apple Midi Manager, not OMS for MIDI.
- Set no more than 256 screen colors.
Actually have you tested does it work in 9.2.2 with reduced colors?

Tell how those versions work, if they do not work.or work.

Offline MDMA

  • Active Member
  • *
  • Posts: 19
  • New Member
Re: Akai S3200 (non XL) software compatibility
« Reply #2 on: November 17, 2023, 07:13:07 AM »
This I great info, thank you.

I have heard people mention 8.1, so maybe you are correct. I’ll give it a try this evening.

Offline chrisNova777

  • Veteran Member
  • ****
  • Posts: 166
  • New Member
Re: Akai S3200 (non XL) software compatibility
« Reply #3 on: November 18, 2023, 01:32:32 PM »
8.1 is ok because it satisfies the requirement of being "Mac OS 7.1 or later"
it even says they reccommend 7.5 probably because that was the current version at time of writing the article

Apple Midi Manager is not required, and was a relic of a time gone by, with the last version being released in 1993
https://macintoshgarden.org/apps/apple-midi-manager-202

dont bother with AMM, it reccommends OMS 2.2 or higher (jul 1996)
http://oldschooldaw.com/opcode/_OMS/2.2/

Quote
MESA Mac System Requirements

    Power Macintosh or Macintosh equipped with 68030/40 microprocessor
    Mac OS 7.1 or later (7.5 is recommended)
    4MB or more of available RAM (if no sample editing is being done, program can run with about 2.5MB)
    Display with 256 or more colors
    Sound Manager v.3 or later (version 3.2 is recommended)
    Drag and drop functions
    AppleScript (if you run MESA scripts)
    OMS v.2 or later (v 2.2 or later is recommended) (Not needed if MESA II is used only with SCSI.)

http://www.oldschooldaw.com/forums/index.php?topic=2631.0
« Last Edit: November 18, 2023, 02:09:26 PM by chrisNova777 »

Offline MDMA

  • Active Member
  • *
  • Posts: 19
  • New Member
Re: Akai S3200 (non XL) software compatibility
« Reply #4 on: November 18, 2023, 03:45:20 PM »
Thanks for the info

I have actually got this working with mesa ll v 1.0 on os 9.2 (though think I'm going to move over to os 8.6 as it seems to work faster on my G3) The version I have has the S3200 SCSI plug included and works with the 2.0 firmware.

Here's the link if anyone is interested, the manual is in Japanese but the programme is English.

https://archive.org/details/mesaii-1.0-j-manual.ins

Offline MDMA

  • Active Member
  • *
  • Posts: 19
  • New Member
Re: Akai S3200 (non XL) software compatibility
« Reply #5 on: November 18, 2023, 04:04:20 PM »
8.1 is ok because it satisfies the requirement of being "Mac OS 7.1 or later"
it even says they reccommend 7.5 probably because that was the current version at time of writing the article

Apple Midi Manager is not required, and was a relic of a time gone by, with the last version being released in 1993
https://macintoshgarden.org/apps/apple-midi-manager-202

dont bother with AMM, it reccommends OMS 2.2 or higher (jul 1996)
http://oldschooldaw.com/opcode/_OMS/2.2/

Quote
MESA Mac System Requirements

    Power Macintosh or Macintosh equipped with 68030/40 microprocessor
    Mac OS 7.1 or later (7.5 is recommended)
    4MB or more of available RAM (if no sample editing is being done, program can run with about 2.5MB)
    Display with 256 or more colors
    Sound Manager v.3 or later (version 3.2 is recommended)
    Drag and drop functions
    AppleScript (if you run MESA scripts)
    OMS v.2 or later (v 2.2 or later is recommended) (Not needed if MESA II is used only with SCSI.)

http://www.oldschooldaw.com/forums/index.php?topic=2631.0


The version I have said it wouldn't instal on my system running os 8.5, I tried it and I get the message saying "system 7 required"

I tried installing os 7, but my machine said it couldn't be installed......was a bit of a hurdle, but found a suitable version of mesa as per my post above.

Thanks for the input though, much appreciated.

Offline chrisNova777

  • Veteran Member
  • ****
  • Posts: 166
  • New Member
Re: Akai S3200 (non XL) software compatibility
« Reply #6 on: November 19, 2023, 01:41:29 AM »
if you had read the page i linked it has another file that is an os8 patch for MESA

Offline MDMA

  • Active Member
  • *
  • Posts: 19
  • New Member
Re: Akai S3200 (non XL) software compatibility
« Reply #7 on: November 19, 2023, 01:59:57 AM »
if you had read the page i linked it has another file that is an os8 patch for MESA

The page you linked was actually very useful and I will be downloading all I need from there as I have other machines that I want to get set up, there are plenty of fantastic resources on there.
I hadn't actually tried the versions on there for my sampler as someone had sent me a link to mesa ll with the S3200 plug in there and it worked straight away.

Thank you for taking the time to help me though, it is appreciated.